/*
Theme Name: EWIM
Description: This is a child theme for EWIM Theme
Author: UX Themes
Template: EWIM
Version: 1.0.2
*/

/*************** ADD CUSTOM CSS HERE.   ***************/

:root {
    --pri-color: #50be95;
    --sec-color: #105e63;
    --tri-color: #50be95;
    --header-height: 5.52vw;
    --header-font: "Avenir Next";
    --text-font: "Avenir Next";
    --text-color: #105e63;
    --header-weight: 600;
    --overlay-color: #004e52;
    --side-padding: 9.21vw;
    --small-padding: 3.16vw;
}

html {
    scroll-behavior: smooth;
}

.section_content_header,
.l-submain-img {
    --overlay-color: #0b4144;
}
body {
    background: #fff;
    font-family: var(--text-font);
    font-size: 18px;
    color: var(--text-color);
    line-height: 1.6;
}
body.home {
    --header-height: 8.68vw;
}
.g-cols.offset_medium > .one-fifth {
    width: 17.89vw;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--header-font) !important;
    font-weight: var(--header-weight) !important;
    text-transform: uppercase;
}

h1,
.h1 {
    font-size: 54px;
}

h2,
.h2 {
    font-size: 38px;
    color: var(--pri-color);
    text-transform: uppercase;
}

h3,
.h3 {
    font-size: 32px;
    color: var(--pri-color);
    text-transform: uppercase;
}
h4,
.h4 {
    font-size: 24px;
    color: #84d1b4;
    text-transform: none;
}

p {
    font-size: 18px;
    color: var(--text-color);
}

.l-canvas {
    box-shadow: unset;
}

.row {
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
    position: relative;
    z-index: 1;
}

.col {
    margin: 0 0.5em;
    position: relative;
    z-index: 1;
}

.space-between {
    justify-content: space-between;
}
.center {
    justify-content: center;
}
.space-around {
    justify-content: space-around;
}

.wrap {
    flex-wrap: wrap;
}

a.button {
    padding: 0.5em 2em;
    width: 100%;
}

.centered_text {
    max-width: 800px;
    text-align: center;
    margin: auto;
}

.vc_section {
    padding: 80px var(--side-padding);
}

.vc_section .l-section-h {
    padding: unset;
}

/* START HEADER */

.top_widget {
    position: absolute;
    right: 1em;
    top: 0;
    display: flex;
    font-size: 1em;
    color: #ffffff;
}

.top_widget a:not(.wpml-ls-link) {
    font-size: 0.8em;
    color: #ffffff;
    width: 230px;
    display: block;
    line-height: 1;
}

.language_switcher .wpml-ls-legacy-list-horizontal ul {
    display: flex;
    width: 3em;
    overflow: hidden;
    justify-content: space-between;
    margin-left: 1em;
}

.main_menu_wrapper {
    float: none;
    margin-top: 0;
}

.l-header .w-nav-anchor.level_1 {
    color: #252525;
}

/* CART */
.woocommerce-checkout .woocommerce .content_row,
.woocommerce-cart .woocommerce .content_row {
    flex-wrap: wrap !important;
}

/* BUTTONS */
a.button,
a.w-btn.style_flat,
a.w-btn {
    padding: 10px 58px;
    border-radius: 3em;
    font-size: 18px;
    font-weight: 500;
    color: #ffffff;
    background-color: var(--tri-color);
    border: 1px solid var(--tri-color);
    text-transform: none;
    z-index: 1;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    transition: all 0.3s ease-in-out;
}

body.home a.button,
body.home a.w-btn.style_flat,
body.home a.w-btn {
    height: 71px;
}

a.w-btn.style_flat.color_light,
a.w-btn.color_light {
    color: var(--tri-color);
    background-color: #ffffff;
    border: 1px solid #ffffff;
    transition: all 0.3s ease-in-out;
}

a.w-btn.style_flat.color_light:hover,
a.w-btn.color_light:hover {
    color: #ffffff;
    background-color: var(--tri-color);
}

a.w-btn.style_flat.color_custom,
a.w-btn.color_custom {
    background-image: linear-gradient(to right, #0ad99f, #08a97b);
    border: none;
}

a.w-btn.style_flat.color_custom:hover,
a.w-btn.color_custom:hover {
    transform: scale(1.1);
}

section.news-slider-container .w-blog-post-more.w-btn,
a.button.outlined-button {
    background-color: transparent;
    border-color: #ffffff;
}

section.news-slider-container .w-blog-post-more.w-btn:hover,
a.button.outlined-button:hover {
    background-color: rgba(0, 0, 0, 0.5);
    border-color: var(--pri-color);
    color: var(--pri-color);
}

section.news-slider-container .w-blog-post-more.w-btn:hover,
section.news-slider-container .w-blog-post-more.w-btn:active,
section.news-slider-container .w-blog-post-more.w-btn:focus,
section.news-slider-container .w-blog-post-more.w-btn {
    box-shadow: none !important;
}

a.w-btn.style_flat.color_secondary {
    color: var(--tri-color);
    background-color: transparent;
    border: 1px solid var(--tri-color);
}

a.w-btn.style_flat.color_secondary:hover {
    background-color: var(--tri-color);
    color: #ffffff !important;
}
/* regular link */
.wpb_text_column a {
    color: var(--text-color);
    text-decoration: underline;
}

.w-image {
    position: relative;
}

.w-image img {
    width: 100%;
    height: 100%;
    max-width: unset;
    object-fit: cover;
}
.w-image:not(.no-overlay):before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background-color: var(--overlay-color);
    opacity: 0.5;
    z-index: 1;
    pointer-events: none;
}

.w-image:not(.no-watermark):after {
    content: "";
    width: 21.68vw;
    height: 12.42vw;
    position: absolute;
    right: 0;
    bottom: 0;
    background-image: url(../images/watermarks/image-watermark.svg);
    z-index: 1;
    pointer-events: none;
    max-width: 85%;
    background-position: bottom right;
    background-repeat: no-repeat;
}

.woocommerce.product .w-image {
    border-radius: 12px;
    overflow: hidden;
}

.w-image.background,
.funnel-tile .w-image,
.break-out-wrapper .w-image {
    border-radius: 0;
}

/* GALLERY */

.w-gallery-list {
    margin: 0 -15px;
}
.w-gallery-list .w-gallery-item {
    padding: 15px;
    cursor: pointer;
    position: relative;
}

.w-gallery-list .w-gallery-item:before {
    content: "";
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: calc(100% - 30px);
    height: calc(100% - 30px);
    position: absolute;
    background-color: var(--overlay-color);
    opacity: 0.3;
    border-radius: 12px;
}

.product .w-gallery-list .w-gallery-item:before {
    background-color: transparent;
    border: 1px solid var(--overlay-color);
}
.product .w-gallery.cols_3 .w-gallery-item {
    aspect-ratio: 3/2;
    display: inline-flex;
    overflow: hidden;
}
.woocommerce div.product .images img {
    object-fit: cover;
}

.w-gallery-list .w-gallery-item:after {
    content: "";
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    width: 24px;
    height: 24px;
    background-image: url(../images/icons/gallery-zoom.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

.w-gallery-list .w-gallery-item img {
    border-radius: 12px;
}

section.content-container {
    padding: 0 var(--side-padding);
}
section.content-container .image-wrapper .w-image {
    border-radius: 0;
}

section.content-container .text-wrapper {
    padding-top: 4vw;
    padding-left: 5vw;
}

/* CONTENT */
.break-out-container .g-cols {
    flex-wrap: nowrap !important;
}

.projecten-view > .l-section-h > .g-cols .one-quarter {
    display: flex;
    flex-direction: column;
}

.projecten-view > .l-section-h > .g-cols .one-quarter > .vc_inner {
    flex: 1 0 auto;
}

.projecten-view > .l-section-h > .g-cols .g-cols .full-width h2 {
    word-break: break-all;
}

/* #custom_checkout_field input[type="checkbox"] {
    position: absolute;
    visibility: hidden;
    width: 0;
    margin: 0;
}

#custom_checkout_field input[type="checkbox"]:checked + label:after {
    content: '';
    height: 10px;
    width: 13px;
    border-radius: 3px;
    background-image: url(../images/icons/checkbox-check.svg);
    font: inherit;
    position: absolute;
    top: 50%;
    left: 16px;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    transform: translate(-50%, -50%);
}

#custom_checkout_field input[type="checkbox"] + label:before {
    content: '';
    border: none;
    position: absolute;
    height: 29px;
    width: 29px;
    border: 1px solid #D8D8D8;
    border-radius: 3px;
    background-color: #ffffff;
    opacity: 1;
    top: 50%;
    left: 0;
    transform: translate(0px, -50%);
}

#custom_checkout_field input[type="checkbox"] + label {
    margin-left: 40px;
} */

/* FOOTER */

#footer-nav-menu {
    display: flex;
}

/* FIXES */

.summary.entry-summary section.break-out-container,
.summary.entry-summary section.break-out-container,
.summary.entry-summary section.vc_section,
.summary.entry-summary section.feature-section,
.summary.entry-summary section.content-with-list-item,
.summary.entry-summary section.funnels-container,
.summary.entry-summary section.news-slider-container,
.summary.entry-summary section.page-slider-container {
    padding-left: 0;
    padding-right: 0;
}

.summary.entry-summary section.news-slider-container,
.summary.entry-summary section.page-slider-container {
    margin: 0 calc(var(--side-padding) * -1);
}

body.search .l-titlebar {
    position: relative;
    height: 20.68vw;
    width: 100vw;
    position: relative;
    display: flex;
    align-content: center;
    flex-wrap: wrap;
    justify-content: center;
    background-image: url(https://www.stedon.nl/wp-content/uploads/2023/08/contact-hero.jpg);
    background-size: cover;
    min-height: 300px;
}

body.search .l-titlebar:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0, 78, 82);
    opacity: 0.5;
}

body.search .l-titlebar h1 {
    color: #fff;
    font-size: 54px;
    line-height: 1;
}

body.search .l-main .l-section-h.i-cf {
    padding: 5vw var(--side-padding);
}

body.search .l-section-h.i-cf a {
    color: #039376;
}

body.search .search-icon-wrapper {
    position: fixed;
    top: 230px;
}
